Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.service.file.nw.naming
Class FSSchema

    java.lang.Object
      |
      +--com.novell.service.file.nw.naming.FSSchema

public class FSSchema
extends java.lang.Object

FSSchema defines the File System specific constants for the JNDI schema assocaited with the file system.

Field Summary
`static java.lang.String` | `ATTRIBUTE_DEFINITIONS` Name of the Attribute Definitions node bound to the Schema root.
`static java.lang.String` | `ATTRIBUTE_TYPE` The Schema Attribute ID for the Attribute Definitions objects that will return the type of the associated attributes object.
`static java.lang.String` | `CLASS_DEFINITIONS` Name of the Class Definitions node bound to the Schema root.
`static java.lang.String` | `COMPARE` The Attribute ID of the Syntax Definitions Schema DirContext used to optain the valid compare strings for a given attribute value.
`static java.lang.String` | `DIRECTORY_CONTEXT` The binding name of the class definition DirContext associated with the file systems Directory contexts.
`static java.lang.String` | `FILE_CONTEXT` The binding name of the class definition DirContext associated with the file systems File contexts.
`static java.lang.String` | `INITIAL_CONTEXT` The binding name of the class definition DirContext associated with the file systems initial context.
`static java.lang.String` | `INTERFACES_IMPLEMENTED` The Schema Attribute ID for the Class Definitions and Attribute Definitions objects that will return a list of the interfaces that the associated class or attribute implements.
`static java.lang.String` | `MANDATORY_ATTRIBUTE_IDS` The Schema Attribute ID for the Class Definitions objects that will return a list of the attribute IDs of the mandatory attributes associated with the class.
`static java.lang.String` | `OPTIONAL_ATTRIBUTE_IDS` The Schema Attribute ID for the Class Definitions objects that will return a list of the attribute IDs of the optional attributes associated with the class.
`static java.lang.String` | `SYNTAX_DEFINITIONS` Name of the Syntax Definitions node bound to the Schema root.
`static java.lang.String` | `SYNTAX_ID` The Schema Attribute ID for the Attribute Definitions objects that will return the binding name of the associated attributes syntax object under the Syntax Defintions node of the schema tree.
`static java.lang.String` | `VOLUME_CONTEXT` The binding name of the class definition DirContext associated with the file systems volume contexts.

Constructor Summary
`FSSchema()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CLASS_DEFINITIONS

    public static final java.lang.String CLASS_DEFINITIONS

  Name of the Class Definitions node bound to the Schema root.

  (CLASS_DEFINITIONS = "Class Definitions")

### ATTRIBUTE_DEFINITIONS

    public static final java.lang.String ATTRIBUTE_DEFINITIONS

  Name of the Attribute Definitions node bound to the Schema root.

  (ATTRIBUTE_DEFINITIONS = "Attribute Definitions")

### SYNTAX_DEFINITIONS

    public static final java.lang.String SYNTAX_DEFINITIONS

  Name of the Syntax Definitions node bound to the Schema root.

  (SYNTAX_DEFINITIONS = "Syntax Definitions")

### MANDATORY_ATTRIBUTE_IDS

    public static final java.lang.String MANDATORY_ATTRIBUTE_IDS

  The Schema Attribute ID for the Class Definitions objects that will return a list of the attribute IDs of the mandatory attributes associated with the class.

  (MANDATORY_ATTRIBUTE_IDS = "Mandatory Attribute IDs")

### OPTIONAL_ATTRIBUTE_IDS

    public static final java.lang.String OPTIONAL_ATTRIBUTE_IDS

  The Schema Attribute ID for the Class Definitions objects that will return a list of the attribute IDs of the optional attributes associated with the class.

  (OPTIONAL_ATTRIBUTE_IDS = "Optional Attribute IDs")

### INTERFACES_IMPLEMENTED

    public static final java.lang.String INTERFACES_IMPLEMENTED

  The Schema Attribute ID for the Class Definitions and Attribute Definitions objects that will return a list of the interfaces that the associated class or attribute implements.

  (INTERFACES_IMPLEMENTED = "Implements")

### ATTRIBUTE_TYPE

    public static final java.lang.String ATTRIBUTE_TYPE

  The Schema Attribute ID for the Attribute Definitions objects that will return the type of the associated attributes object.

  (ATTRIBUTE_TYPE = "Type")

### SYNTAX_ID

    public static final java.lang.String SYNTAX_ID

  The Schema Attribute ID for the Attribute Definitions objects that will return the binding name of the associated attributes syntax object under the Syntax Defintions node of the schema tree.

  (SYNTAX_ID = "Syntax Attribute ID")

### INITIAL_CONTEXT

    public static final java.lang.String INITIAL_CONTEXT

  The binding name of the class definition DirContext associated with the file systems initial context.

  (INITIAL_CONTEXT = "Initial Context Definitions")

### VOLUME_CONTEXT

    public static final java.lang.String VOLUME_CONTEXT

  The binding name of the class definition DirContext associated with the file systems volume contexts.

  (VOLUME_CONTEXT = "Volume Definitions")

### DIRECTORY_CONTEXT

    public static final java.lang.String DIRECTORY_CONTEXT

  The binding name of the class definition DirContext associated with the file systems Directory contexts.

  (DIRECTORY_CONTEXT = "Directory Definitions")

### FILE_CONTEXT

    public static final java.lang.String FILE_CONTEXT

  The binding name of the class definition DirContext associated with the file systems File contexts.

  (FILE_CONTEXT = "File Definitions")

### COMPARE

    public static final java.lang.String COMPARE

  The Attribute ID of the Syntax Definitions Schema DirContext used to optain the valid compare strings for a given attribute value.

  ()

Constructor Detail

### FSSchema

    public FSSchema()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD